Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jna.platform.unix
Interface X11.XTest

All Superinterfaces:
  com.sun.jna.Library

Enclosing interface:
  X11

    public static interface X11.XTest

extends com.sun.jna.Library

Definition of the XTest library.

Nested Class Summary

Nested classes/interfaces inherited from interface com.sun.jna.Library
`com.sun.jna.Library.Handler`

Field Summary
`static X11.XTest` | `INSTANCE`

Fields inherited from interface com.sun.jna.Library
`OPTION_ALLOW_OBJECTS, OPTION_CALLING_CONVENTION, OPTION_FUNCTION_MAPPER, OPTION_INVOCATION_MAPPER, OPTION_STRUCTURE_ALIGNMENT, OPTION_TYPE_MAPPER`

Method Summary
`boolean` | `XTestCompareCurrentCursorWithWindow(X11.Display display, X11.Window window)`
`boolean` | `XTestCompareCursorWithWindow(X11.Display display, X11.Window window, X11.Cursor cursor)`
`int` | `XTestDiscard(X11.Display display)`
`int` | `XTestFakeButtonEvent(X11.Display display, int button, boolean is_press, com.sun.jna.NativeLong delay)`
`int` | `XTestFakeDeviceButtonEvent(X11.Display display, X11.XDeviceByReference dev, int button, boolean is_press, com.sun.jna.ptr.IntByReference axes, int n_axes, com.sun.jna.NativeLong delay)`
`int` | `XTestFakeDeviceKeyEvent(X11.Display display, X11.XDeviceByReference dev, int keycode, boolean is_press, com.sun.jna.ptr.IntByReference axes, int n_axes, com.sun.jna.NativeLong delay)`
`int` | `XTestFakeDeviceMotionEvent(X11.Display display, X11.XDeviceByReference dev, boolean is_relative, int first_axis, com.sun.jna.ptr.IntByReference axes, int n_axes, com.sun.jna.NativeLong delay)`
`int` | `XTestFakeKeyEvent(X11.Display display, int keycode, boolean is_press, com.sun.jna.NativeLong delay)`
`int` | `XTestFakeMotionEvent(X11.Display display, int screen, int x, int y, com.sun.jna.NativeLong delay)`
`int` | `XTestFakeProximityEvent(X11.Display display, X11.XDeviceByReference dev, boolean in_prox, com.sun.jna.ptr.IntByReference axes, int n_axes, com.sun.jna.NativeLong delay)`
`int` | `XTestFakeRelativeMotionEvent(X11.Display display, int x, int y, com.sun.jna.NativeLong delay)`
`int` | `XTestGrabControl(X11.Display display, boolean impervious)`
`boolean` | `XTestQueryExtension(X11.Display display, com.sun.jna.ptr.IntByReference event_basep, com.sun.jna.ptr.IntByReference error_basep, com.sun.jna.ptr.IntByReference majorp, com.sun.jna.ptr.IntByReference minorp)`
`void` | `XTestSetVisualIDOfVisual(X11.Visual visual, X11.VisualID visualid)`

Field Detail

### INSTANCE

    static final X11.XTest INSTANCE

Method Detail

### XTestQueryExtension

    boolean XTestQueryExtension(X11.Display display,
                                com.sun.jna.ptr.IntByReference event_basep,
                                com.sun.jna.ptr.IntByReference error_basep,
                                com.sun.jna.ptr.IntByReference majorp,
                                com.sun.jna.ptr.IntByReference minorp)

### XTestCompareCursorWithWindow

    boolean XTestCompareCursorWithWindow(X11.Display display,
                                         X11.Window window,
                                         X11.Cursor cursor)

### XTestCompareCurrentCursorWithWindow

    boolean XTestCompareCurrentCursorWithWindow(X11.Display display,
                                                X11.Window window)

### XTestFakeKeyEvent

    int XTestFakeKeyEvent(X11.Display display,
                          int keycode,
                          boolean is_press,
                          com.sun.jna.NativeLong delay)

### XTestFakeButtonEvent

    int XTestFakeButtonEvent(X11.Display display,
                             int button,
                             boolean is_press,
                             com.sun.jna.NativeLong delay)

### XTestFakeMotionEvent

    int XTestFakeMotionEvent(X11.Display display,
                             int screen,
                             int x,
                             int y,
                             com.sun.jna.NativeLong delay)

### XTestFakeRelativeMotionEvent

    int XTestFakeRelativeMotionEvent(X11.Display display,
                                     int x,
                                     int y,
                                     com.sun.jna.NativeLong delay)

### XTestFakeDeviceKeyEvent

    int XTestFakeDeviceKeyEvent(X11.Display display,
                                X11.XDeviceByReference dev,
                                int keycode,
                                boolean is_press,
                                com.sun.jna.ptr.IntByReference axes,
                                int n_axes,
                                com.sun.jna.NativeLong delay)

### XTestFakeDeviceButtonEvent

    int XTestFakeDeviceButtonEvent(X11.Display display,
                                   X11.XDeviceByReference dev,
                                   int button,
                                   boolean is_press,
                                   com.sun.jna.ptr.IntByReference axes,
                                   int n_axes,
                                   com.sun.jna.NativeLong delay)

### XTestFakeProximityEvent

    int XTestFakeProximityEvent(X11.Display display,
                                X11.XDeviceByReference dev,
                                boolean in_prox,
                                com.sun.jna.ptr.IntByReference axes,
                                int n_axes,
                                com.sun.jna.NativeLong delay)

### XTestFakeDeviceMotionEvent

    int XTestFakeDeviceMotionEvent(X11.Display display,
                                   X11.XDeviceByReference dev,
                                   boolean is_relative,
                                   int first_axis,
                                   com.sun.jna.ptr.IntByReference axes,
                                   int n_axes,
                                   com.sun.jna.NativeLong delay)

### XTestGrabControl

    int XTestGrabControl(X11.Display display,
                         boolean impervious)

### XTestSetVisualIDOfVisual

    void XTestSetVisualIDOfVisual(X11.Visual visual,
                                  X11.VisualID visualid)

### XTestDiscard

    int XTestDiscard(X11.Display display)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD